<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="belegkopfdaten" pageWidth="260" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="260" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="c88e1105-4671-4c8f-971b-6ff6e0723442">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.9965000000000006"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="Belegart" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="Belegart_kbez" class="java.lang.String">
		<parameterDescription><![CDATA[Die Kurzkennung des Beleges z.B. RE für Rechnung]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="Art" class="java.lang.String">
		<fieldDescription><![CDATA[Art: Definiert wie es zu drucken ist
Line = Linie drucken
L2 = Links das Lable und dann der Inhalt, z.B. Nummer im F1 und dann im F2 die Rechnungsnummer]]></fieldDescription>
	</field>
	<field name="F1" class="java.lang.String">
		<fieldDescription><![CDATA[Field1 der Zeile]]></fieldDescription>
	</field>
	<field name="F2" class="java.lang.String">
		<fieldDescription><![CDATA[Field2 der Zeile]]></fieldDescription>
	</field>
	<field name="F3" class="java.lang.String">
		<fieldDescription><![CDATA[Field3 der Zeile]]></fieldDescription>
	</field>
	<field name="F4" class="java.lang.String">
		<fieldDescription><![CDATA[Field4 der Zeile]]></fieldDescription>
	</field>
	<variable name="AuftragsNr" class="java.lang.String">
		<variableExpression><![CDATA[($P{Belegart_kbez} != null && $P{Belegart_kbez}.startsWith("AB") && $F{F1}!= null && $F{F1}.toUpperCase().contains("NUMMER")) ?
$F{F2} :
( ($F{F1} != null && $F{F1}.toUpperCase().contains("ZU AUFTRAG")) ?
  $F{F2} :
  $V{AuftragsNr}
)]]></variableExpression>
	</variable>
	<variable name="Auftrags_UID_Nr" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[$V{AuftragsNr} == null ?
null :
($V{Auftrags_UID_Nr} != null ? $V{Auftrags_UID_Nr} :
 $P{P_SQLEXEC}.execute(
 "select X_INHALT "+
 "from LP_PANELBESCHREIBUNG B inner join LP_PANELDATEN D on B.I_ID = D.PANELBESCHREIBUNG_I_ID "+
 "where C_KEY=CAST((select I_ID from auft_auftrag where C_NR = '"+$V{AuftragsNr}+"' and MANDANT_C_NR = '"+$P{P_MANDANT_OBJ}.getMandantCNr()+"') AS VARCHAR) "+
 "and B.PANEL_C_NR='AUFTRAGSEIGENSCHAFTEN' and C_DRUCKNAME is not null and c_druckname='AbwUstID';"
 )
)]]></variableExpression>
	</variable>
	<title>
		<band height="16">
			<rectangle>
				<reportElement key="Hintergrund" stretchType="RelativeToBandHeight" x="0" y="0" width="260" height="16" forecolor="#C7E7ED" backcolor="#C7E7ED" uuid="c9536b56-adb9-4107-bca9-a3da8642f42b"/>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Belegart" mode="Transparent" x="5" y="2" width="255" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="fd194d74-7d09-47b3-b3b1-04c4e6877382"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{Belegart}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement key="Linie" positionType="Float" x="2" y="14" width="258" height="2" forecolor="#ABDBE3" backcolor="#ABDBE3" uuid="56c29604-5a7a-4b68-a3fe-646ea5809f71"/>
			</rectangle>
		</band>
	</title>
	<pageHeader>
		<band height="19" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<rectangle>
				<reportElement key="Hintergrund" x="0" y="0" width="260" height="19" forecolor="#C7E7ED" backcolor="#C7E7ED" uuid="5e4e61b9-75f0-491e-b109-4742e63bad49"/>
			</rectangle>
			<staticText>
				<reportElement key="Art" mode="Transparent" x="270" y="8" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="68c8e6d8-ca88-4418-a74a-2d6568b3ab9f">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Art]]></text>
			</staticText>
			<staticText>
				<reportElement key="Field1" mode="Transparent" x="5" y="8" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="8a718553-5844-42ec-840d-ab578d3964c6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[F1]]></text>
			</staticText>
			<line>
				<reportElement key="line-2" mode="Opaque" x="0" y="18" width="260" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="2f3d085b-ae9a-4409-aa2d-009cf0c022b3"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="16" splitType="Stretch">
			<printWhenExpression><![CDATA[/* $F{Art}.startsWith("Links1") = Überschrift
$F{Art}.startsWith("Links2") = zwei Felder Lable, Inhalt volle Breite
$F{Art}.startsWith("Links4") = vier Felder und höher, weil nur Nummer
$F{Art}.startsWith("Linie") = dunklere Linie
$F{Art}.startsWith("Nicht") = nicht drucken, weil
*/
$F{Art}.startsWith("Links4") &&
$F{F2} != null]]></printWhenExpression>
			<rectangle>
				<reportElement key="Hintergrund" stretchType="RelativeToBandHeight" x="0" y="0" width="260" height="16" isPrintInFirstWholeBand="true" forecolor="#C7E7ED" backcolor="#C7E7ED" uuid="05ad48fa-98b7-4e6b-861e-e7e456706ced"/>
			</rectangle>
			<textField>
				<reportElement key="Art" mode="Transparent" x="270" y="0" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="7d09836a-e570-4c97-ae82-3ff5138c4c15">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement key="Field1" mode="Transparent" x="5" y="0" width="70" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="c2fb35e2-0bef-4c8f-96a9-41073a8a4977"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="12" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F1}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Field2" mode="Transparent" x="75" y="0" width="100" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="10679faa-2e9a-4664-a4b6-dac761a2e1ae">
					<printWhenExpression><![CDATA[$F{F2} != null && $F{F2}.trim().length()>0]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="12" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{Belegart_kbez}==null?"":$P{Belegart_kbez}+" ")+$F{F2}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Field3" mode="Transparent" x="175" y="0" width="30" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="7f255037-be29-445a-8c3f-b2742929f48c"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F3}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Field4" mode="Transparent" x="205" y="0" width="60" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="b607bd0c-0854-465b-b97c-9146de591be1"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F4}]]></textFieldExpression>
			</textField>
		</band>
		<band height="2">
			<printWhenExpression><![CDATA[$F{Art}.startsWith("Linie")]]></printWhenExpression>
			<rectangle>
				<reportElement key="Hintergrund" stretchType="RelativeToBandHeight" x="0" y="0" width="260" height="2" forecolor="#C7E7ED" backcolor="#C7E7ED" uuid="3c8a0693-9a18-4f0e-b617-4c4de11576cc"/>
			</rectangle>
			<rectangle>
				<reportElement key="Linie" x="2" y="0" width="258" height="2" forecolor="#ABDBE3" backcolor="#ABDBE3" uuid="62e0c9bf-3ffb-48bc-aa30-8aab1722066c"/>
			</rectangle>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[$F{Art}.startsWith("Links2") &&
$F{F2} != null &&
!($V{Auftrags_UID_Nr} != null &&
  $F{F1}!=null &&
  ($F{F1}.startsWith("Ihre Unt") ||
   $F{F1}.startsWith("Ihre UID")
  )
)]]></printWhenExpression>
			<rectangle>
				<reportElement key="Hintergrund" stretchType="RelativeToBandHeight" x="0" y="0" width="260" height="10" forecolor="#C7E7ED" backcolor="#C7E7ED" uuid="315a01e4-0968-4343-8e28-9b68564127cd"/>
			</rectangle>
			<textField>
				<reportElement key="Art" mode="Transparent" x="270" y="0" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="b7c360ea-6972-43d2-9d69-0a5d4b8afd23">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement key="Field1" mode="Transparent" x="5" y="0" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="69afbcc2-87b5-4d30-bb3d-3b55a8ed419b"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F1}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Field2" mode="Transparent" x="75" y="0" width="190" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="440d7cec-2fda-4c43-acbb-1ac7ab6f4be7"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F2}]]></textFieldExpression>
			</textField>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[($F{Art}.startsWith("Links2") &&
 $F{F2} != null) &&
($V{Auftrags_UID_Nr} != null &&
  $F{F1}!=null &&
  ($F{F1}.startsWith("Ihre Unt") ||
   $F{F1}.startsWith("Ihre UID")
 )
)]]></printWhenExpression>
			<textField isStretchWithOverflow="true">
				<reportElement key="AB Übersteuerte UID" mode="Transparent" x="5" y="0" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="f01c5d79-cde0-417a-8453-a5488f6ca360"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Ihre UID Nr.:"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Die übersteuerte UID Nr anhand des Auftrags" mode="Transparent" x="75" y="0" width="190" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0dc981fd-35b2-4b88-b74e-376c0924fc0d"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Auftrags_UID_Nr}]]></textFieldExpression>
			</textField>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[$F{Art}.startsWith("Links1")]]></printWhenExpression>
			<rectangle>
				<reportElement key="Hintergrund" stretchType="RelativeToBandHeight" x="0" y="0" width="260" height="10" forecolor="#C7E7ED" backcolor="#C7E7ED" uuid="09cdd3cb-6edf-4586-aeda-7383b6e8e0cf"/>
			</rectangle>
			<textField>
				<reportElement key="Art" mode="Transparent" x="270" y="0" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="b4e04b8e-c5dd-4e74-9a3f-24b635b93b8a">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement key="Field1" mode="Transparent" x="5" y="0" width="260" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="2c97faed-e894-434f-9a25-39a0d88cf8ca"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F1}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="211" y="0" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="4a1af1fa-cf4d-49d7-b530-0366db440d67"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{AuftragsNr}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="131" y="0" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="aa27cc39-ae76-4080-8da8-ca437855b829"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Auftrags_UID_Nr}]]></textFieldExpression>
			</textField>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<textField isStretchWithOverflow="true">
				<reportElement x="0" y="0" width="260" height="10" uuid="2c2e8e63-ec1c-4039-ad9e-3cfcbc9fcce1"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["1:"+$P{Belegart_kbez}+"|\n"+
"2:"+$F{F2}+"|\n"+
"3:"+$F{F1}+"|\n"+
"4:"+$V{AuftragsNr}+"|"]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
